## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# OCaml packages not built on i686 since OCaml 5 / Fedora 39.
ExcludeArch: %{ix86}

%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-ppx-deriving-yaml
Version:        0.3.0
Release:        %autorelease
Summary:        Derive conversion functions between OCaml types and YAML

License:        ISC
URL:            https://github.com/patricoferris/ppx_deriving_yaml
VCS:            git:%{url}.git
Source:         %{url}/releases/download/v%{version}/ppx_deriving_yaml-%{version}.tbz

BuildRequires:  ocaml >= 4.08.1
BuildRequires:  ocaml-alcotest-devel
BuildRequires:  ocaml-dune >= 3.0
BuildRequires:  ocaml-mdx-devel >= 2.0.0
BuildRequires:  ocaml-ppx-deriving-devel
BuildRequires:  ocaml-ppxlib-devel >= 0.25.0
BuildRequires:  ocaml-yaml-devel

%description
This ppx is based on ppx_yojson [1] and ppx_deriving_yojson [2] because
of the many similarities between JSON and yaml.  In particular many of
the ways OCaml values are encoded to yaml types are the same as those
implemented by the Yojson ppx.

References:
[1] https://github.com/NathanReb/ppx_yojson
[2] https://github.com/ocaml-ppx/ppx_deriving_yojson

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-ppx-deriving-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}
Requires:       ocaml-yaml-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n ppx_deriving_yaml-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%license LICENSE.md
%doc README.md CHANGES.md

%files devel -f .ofiles-devel

%changelog
## START: Generated by rpmautospec
* Mon Aug 05 2024 Jerry James <loganjerry@gmail.com> - 0.3.0-5
- Rebuild for ocaml-ppxlib 0.33.0

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 03 2024 Jerry James <loganjerry@gmail.com> - 0.3.0-3
- Rebuild for ocaml-sexplib0 0.17.0

* Wed Jun 19 2024 Richard W.M. Jones <rjones@redhat.com> - 0.3.0-2
- OCaml 5.2.0 ppc64le fix

* Thu Jun 13 2024 Jerry James <loganjerry@gmail.com> - 0.3.0-1
- Version 0.3.0

* Thu May 30 2024 Richard W.M. Jones <rjones@redhat.com> - 0.2.2-5
- OCaml 5.2.0 for Fedora 41

* Fri Feb 02 2024 Jerry James <loganjerry@gmail.com> - 0.2.2-4
- Rebuild for changed ocamlx hashes

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 14 2024 Jerry James <loganjerry@gmail.com> - 0.2.2-1
- Version 0.2.2
- Enable tests

* Mon Dec 18 2023 Richard W.M. Jones <rjones@redhat.com> - 0.2.1-8
- OCaml 5.1.1 + s390x code gen fix for Fedora 40

* Tue Dec 12 2023 Richard W.M. Jones <rjones@redhat.com> - 0.2.1-7
- OCaml 5.1.1 rebuild for Fedora 40

* Tue Nov 14 2023 Jerry James <loganjerry@gmail.com> - 0.2.1-6
- Rebuild for ocaml-yaml 3.2.0

* Thu Oct 05 2023 Richard W.M. Jones <rjones@redhat.com> - 0.2.1-5
- OCaml 5.1 rebuild for Fedora 40

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 12 2023 Richard W.M. Jones <rjones@redhat.com> - 0.2.1-3
- OCaml 5.0 rebuild for Fedora 39

* Tue Jul 11 2023 Richard W.M. Jones <rjones@redhat.com> - 0.2.1-2
- ExcludeArch i686 (https://lists.fedoraproject.org/archives/list/devel@lis
  ts.fedoraproject.org/message/SPML7CUBSZNI36NLXGVHEG7DNHU3EWOJ/)

* Fri Jun 30 2023 Jerry James <loganjerry@gmail.com> - 0.2.1-1
- Initial import
## END: Generated by rpmautospec
